import java.awt.BorderLayout;
import java.awt.FlowLayout;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JPasswordField;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;


public class LoginForm extends JDialog {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private final JPanel contentPanel = new JPanel();
	private JTextField tbURL;
	private JTextField tbUsername;
	private JPasswordField tbPassword;
	private boolean isOk;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		try {
			LoginForm dialog = new LoginForm();
			dialog.setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
			dialog.setVisible(true);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	/**
	 * Create the dialog.
	 */
	public LoginForm() {
		setTitle("Login credentials");
		setBounds(100, 100, 406, 158);
		getContentPane().setLayout(new BorderLayout());
		contentPanel.setBorder(new EmptyBorder(5, 5, 5, 5));
		getContentPane().add(contentPanel, BorderLayout.CENTER);
		contentPanel.setLayout(null);
		
		JLabel lblBaseUrl = new JLabel("Base URL:");
		lblBaseUrl.setBounds(10, 11, 69, 14);
		contentPanel.add(lblBaseUrl);
		
		tbURL = new JTextField();
		tbURL.setText("http://127.0.0.1");
		tbURL.setBounds(89, 8, 299, 20);
		contentPanel.add(tbURL);
		tbURL.setColumns(10);
		
		JLabel lblUsername = new JLabel("Username:");
		lblUsername.setBounds(10, 42, 69, 14);
		contentPanel.add(lblUsername);
		
		tbUsername = new JTextField();
		tbUsername.setBounds(89, 39, 299, 20);
		contentPanel.add(tbUsername);
		tbUsername.setColumns(10);
		
		JLabel lblPassword = new JLabel("Password:");
		lblPassword.setBounds(10, 72, 69, 14);
		contentPanel.add(lblPassword);
		
		tbPassword = new JPasswordField();
		tbPassword.setBounds(89, 70, 299, 20);
		contentPanel.add(tbPassword);
		{
			JPanel buttonPane = new JPanel();
			buttonPane.setLayout(new FlowLayout(FlowLayout.RIGHT));
			getContentPane().add(buttonPane, BorderLayout.SOUTH);
			{
				JButton okButton = new JButton("OK");
				okButton.addActionListener(new ActionListener() {
					public void actionPerformed(ActionEvent e) {
						isOk = true;
						setVisible(false);
					}
				});
				okButton.setActionCommand("OK");
				buttonPane.add(okButton);
				getRootPane().setDefaultButton(okButton);
			}
			{
				JButton cancelButton = new JButton("Cancel");
				cancelButton.addActionListener(new ActionListener() {
					public void actionPerformed(ActionEvent e) {
						isOk = false;
						setVisible(false);
					}
				});
				cancelButton.setActionCommand("Cancel");
				buttonPane.add(cancelButton);
			}
		}
	}
	
	public String getURL() {
		return tbURL.getText();
	}
	
	public String getUsername() {
		return tbUsername.getText();
	}
	
	public String getPassword() {
		return new String(tbPassword.getPassword());
	}

	public boolean isOK() {
		return isOk;
	}
}
