import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import SecureBlackbox.PGP.TElPGPKeyring;

public class PanelSelectRecipientsDescriptor extends WizardPanelDescriptor implements ActionListener {
    public static final String IDENTIFIER = "RKEYS_PANEL";
    public static final PanelSelectRecipients panel = new PanelSelectRecipients();
    
    public PanelSelectRecipientsDescriptor() {
    	panel.addFieldsListener(this);

        setPanelDescriptorIdentifier(IDENTIFIER);
        setPanelComponent(panel);
    }
    
    public Object getNextPanelDescriptor() {
    	if (PanelProtectionDescriptor.isSelectSignKeysToo())
    		return PanelSelectSignersDescriptor.IDENTIFIER;
    	
    	return PanelSelectDestDescriptor.IDENTIFIER;
    }
    
    public Object getBackPanelDescriptor() {
        return PanelProtectionDescriptor.IDENTIFIER;
    }
    
    public void displayingPanel() {
    	panel.LoadKeys();
    }
    
    public static TElPGPKeyring getKeys(){
    	return panel.getKeys();
    }  

    public void aboutToDisplayPanel(){
    	setNextButtonAccordFields();
    }
   
	private void setNextButtonAccordFields() {
		getWizard().setNextFinishButtonEnabled(panel.isFieldsValidated());
		
	}

	public void actionPerformed(ActionEvent e) {
    	setNextButtonAccordFields();
    }
}
