import java.awt.*;
import java.awt.event.*;

import javax.swing.*;
import javax.swing.border.*;

public class PanelSelectSource extends JPanel {
	static final long serialVersionUID = -1350905302134386416L;
	JPanel contentPanel;
	JPanel titlePanel;
	JLabel lblHead;	
	
	public JTextField txtSrc;
        
    public PanelSelectSource() {
     
        super();
                
		contentPanel = getContentPanel();
		contentPanel.setBorder(new EmptyBorder(new Insets(10, 10, 10, 10)));

		setLayout(new BorderLayout());

		JPanel secondaryPanel = new JPanel();
		secondaryPanel.setLayout(null);
		secondaryPanel.add(contentPanel);
		add(secondaryPanel, BorderLayout.CENTER);
		
        lblHead = new JLabel("<html>Step 2/6<br>Select file to protect</html>");
        lblHead.setBackground(Color.gray);
        lblHead.setBorder(new EmptyBorder(new Insets(10, 10, 10, 10)));
        lblHead.setOpaque(true);
        
        titlePanel = new JPanel();
        titlePanel.setLayout(new BorderLayout());
        titlePanel.setBackground(Color.gray);
        titlePanel.add(lblHead, BorderLayout.CENTER);
        add(titlePanel, BorderLayout.NORTH);	
    }  
    
    private JPanel getContentPanel() {     
		txtSrc = new JTextField();
		txtSrc.setBounds(31, 95, 302, 20);
		
		JButton btnSrcKey = new JButton("Browse...");
		btnSrcKey.setBounds(343, 94, 97, 23);
		btnSrcKey.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				txtSrc.setText(getFileName());
			}
		});

		JPanel result = new JPanel();
		result.setBounds(0, 0, 450, 252);
		result.setBorder(new EmptyBorder(5, 5, 5, 5));
		result.setLayout(null);

		JLabel label = new JLabel(" ");
		label.setBounds(15, 15, 3, 64);
		label.setBorder(new EmptyBorder(50, 0, 0, 0));
		
		result.add(label); 
		JLabel label_1 = new JLabel("Select file");
		label_1.setBounds(31, 79, 123, 14);
		result.add(label_1);
		result.add(txtSrc);
		result.add(btnSrcKey);
		 
		return result;
    }
    
	String getFileName(){
		JFileChooser fc = new JFileChooser();
	    int returnVal = fc.showOpenDialog(this);
		if (returnVal == JFileChooser.APPROVE_OPTION)
	        return fc.getSelectedFile().getPath();

	    return "";
	}

	public boolean isFieldsValidated() {
		return txtSrc.getText().length() != 0;
	}
	
	public void addFieldsListener(final ActionListener l) {
		Common.addTextDocumentLisner(txtSrc, l);
	}

	public void setHeadText() {
		if (!PanelOperationSelect.isProtect())
			lblHead.setText("<html>Step 2/6<br>Select OpenPGP-protected file</html>");
	}
}
