import java.awt.BorderLayout;
import java.awt.FlowLayout;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JLabel;
import javax.swing.JTree;
import javax.swing.border.TitledBorder;
import javax.swing.tree.DefaultMutableTreeNode;

import SecureBlackbox.PGP.TElPGPKeyring;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;


public class ImportKeyDialog extends JDialog {

	private static final long serialVersionUID = 1L;
	private final JPanel contentPanel = new JPanel();
	private JTree tree;
	DefaultMutableTreeNode rootNode;
	private boolean isOk;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		try {
			ImportKeyDialog dialog = new ImportKeyDialog();
			dialog.setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
			dialog.setVisible(true);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	/**
	 * Create the dialog.
	 */
	public ImportKeyDialog() {
		setTitle("Import  key");
		setBounds(100, 100, 395, 372);
		getContentPane().setLayout(new BorderLayout());
		contentPanel.setBorder(new EmptyBorder(5, 5, 5, 5));
		getContentPane().add(contentPanel, BorderLayout.CENTER);
		contentPanel.setLayout(null);
		{
			JLabel lblTheFollowingKeys = new JLabel("The following keys will be imported:");
			lblTheFollowingKeys.setBounds(10, 11, 234, 14);
			contentPanel.add(lblTheFollowingKeys);
		}
		{
			rootNode = new DefaultMutableTreeNode("#");
			tree = new JTree(rootNode);
			tree.setRootVisible(false);
			tree.setShowsRootHandles(true); 		
			tree.setBorder(new TitledBorder(null, "", TitledBorder.LEADING, TitledBorder.TOP, null, null));
			tree.setBounds(10, 33, 364, 242);
			contentPanel.add(tree);
		}
		{
			JPanel buttonPane = new JPanel();
			buttonPane.setLayout(new FlowLayout(FlowLayout.RIGHT));
			getContentPane().add(buttonPane, BorderLayout.SOUTH);
			{
				JButton okButton = new JButton("OK");
				okButton.addActionListener(new ActionListener() {
					public void actionPerformed(ActionEvent e) {
						isOk = true;
						setVisible(false);
					}
				});
				okButton.setActionCommand("OK");
				buttonPane.add(okButton);
				getRootPane().setDefaultButton(okButton);
			}
			{
				JButton cancelButton = new JButton("Cancel");
				cancelButton.addActionListener(new ActionListener() {
					public void actionPerformed(ActionEvent e) {
						dispose();
					}
				});
				cancelButton.setActionCommand("Cancel");
				buttonPane.add(cancelButton);
			}
		}
	}

	public void init(TElPGPKeyring keyring) {
		Utils.RedrawKeyring(tree, keyring, rootNode);
	}

	public boolean isOK() {
		return isOk;
	}

}
